- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions

# QAuthDevice Class Reference

Search for all occurrences

## Detailed Description

Pass-through QIODevice sub-class for authentication.

Use this class to forward on or receive forwarded data over a real device for authentication.

Definition at line 198 of file qtransportauth_qws.h.

`#include <qtransportauth_qws.h>`

Inheritance diagram for QAuthDevice:
[legend]

List of all members.

## Public Types
enum | AuthDirection { Receive, Send }
## Public Member Functions
| QAuthDevice (QIODevice *, QTransportAuth::Data *, AuthDirection)
| ~QAuthDevice ()
void | setTarget (QIODevice *t)
QIODevice * | target () const
void | setClient (QObject *)
QObject * | client () const
void | setRequestAnalyzer (RequestAnalyzer *)
bool | isSequential () const
bool | atEnd () const
qint64 | bytesAvailable () const
qint64 | bytesToWrite () const
bool | seek (qint64)
QByteArray & | buffer ()
## Protected Member Functions
qint64 | readData (char *, qint64)
qint64 | writeData (const char *, qint64)

## Member Enumeration Documentation

enum AuthDirection

Search for all occurrences

Enumerator:

  Receive | Search for all occurrences
  Send | Search for all occurrences

Definition at line 202 of file qtransportauth_qws.h.

                           {
            Receive,
            Send
        };

## Constructor & Destructor Documentation

QAuthDevice | ( | QIODevice * | ,
|  | QTransportAuth::Data * | ,
|  | AuthDirection |
| ) |  |

~QAuthDevice | ( |  | ) |

## Member Function Documentation

void setTarget | ( | QIODevice * | t | ) | `[inline]`

Search for all occurrences

Definition at line 208 of file qtransportauth_qws.h.

    { m_target = t; }

QIODevice* target | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 209 of file qtransportauth_qws.h.

    { return m_target; }

void setClient | ( | QObject * |  | ) |

Search for all occurrences

QObject* client | ( |  | ) | const

Search for all occurrences

void setRequestAnalyzer | ( | RequestAnalyzer * |  | ) |

Search for all occurrences

bool isSequential | ( |  | ) | const `[inline, virtual]`

Search for all occurrences

Reimplemented from QIODevice.

Definition at line 240 of file qtransportauth_qws.h.

    {
        return true;
    }

bool atEnd | ( |  | ) | const `[inline, virtual]`

Search for all occurrences

Reimplemented from QIODevice.

Definition at line 250 of file qtransportauth_qws.h.

    {
        return msgQueue.isEmpty();
    }

qint64 bytesAvailable | ( |  | ) | const `[inline, virtual]`

Search for all occurrences

Reimplemented from QIODevice.

Definition at line 255 of file qtransportauth_qws.h.

    {
        if ( way == Receive )
            return m_bytesAvailable;
        else
            return ( m_target ? m_target->bytesAvailable() : 0 );
    }

qint64 bytesToWrite | ( |  | ) | const `[inline, virtual]`

Search for all occurrences

Reimplemented from QIODevice.

Definition at line 263 of file qtransportauth_qws.h.

    {
        return msgQueue.size();
    }

bool seek | ( | qint64 |  | ) | `[inline, virtual]`

Search for all occurrences

Reimplemented from QIODevice.

Definition at line 245 of file qtransportauth_qws.h.

    {
        return false;
    }

QByteArray & buffer | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 268 of file qtransportauth_qws.h.

    {
        return msgQueue;
    }

qint64 readData | ( | char * | ,
|  | qint64 |
| ) |  | `[protected, virtual]`

Search for all occurrences

Implements QIODevice.

qint64 writeData | ( | const char * | ,
|  | qint64 |
| ) |  | `[protected, virtual]`

Search for all occurrences

Implements QIODevice.

The documentation for this class was generated from the following file:

- QtGui/qtransportauth_qws.h

QAuthDevice QAuthDevice QAuthDevice QAuthDevice QAuthDevice QAuthDevice QAuthDevice QAuthDevice QAuthDevice QAuthDevice
QAuthDevice QAuthDevice QAuthDevice QAuthDevice QAuthDevice QAuthDevice QAuthDevice QAuthDevice QAuthDevice QAuthDevice